Installation Problem (via composer)

Answered
  1. 3 years ago

    Hi all,

    I'd try to install wardrobe using following command:

    composer create-project wardrobe/wardrobe

    But following error occured:

    Writing lock file
    Generating autoload files
    {"error":{"type":"ErrorException","message":"Argument 2 passed to Illuminate\\Auth\\Guard::__construct() must be an instance of Illuminate\\Session\\Store, instance of Illuminate\\Session\\SessionManager given, called in \/Users\/uyab\/Sites\/id-laravel2.com\/vendor\/wardrobe\/core\/src\/Wardrobe\/Core\/Facades\/Wardrobe.php on line 62 and defined","file":"\/Users\/uyab\/Sites\/id-laravel2.com\/vendor\/laravel\/framework\/src\/Illuminate\/Auth\/Guard.php","line":76}}Script php artisan optimize handling the post-install-cmd event returned with an error
    
      [RuntimeException]  
      Error Output:       

    Any advice?

    Yes this was a new change introduced in Laravel. Here is the commit with the fix if you want to patch it manually:
    https://github.com/wardrobecms/core/issues/56

    Or set your composer.json to `"wardrobe/core": "dev-master"` and run `composer update`

  2. ericbarnes

    Oct 3 Administrator Answer

    Yes this was a new change introduced in Laravel. Here is the commit with the fix if you want to patch it manually:
    https://github.com/wardrobecms/core/issues/56

    Or set your composer.json to `"wardrobe/core": "dev-master"` and run `composer update`

or Sign Up to reply!